package hiro.yoshioka.sql;

import hiro.yoshioka.sql.engine.Request;
import hiro.yoshioka.sql.engine.SQLOperationType;
import hiro.yoshioka.sql.params.ConnectionProperties;

public interface IRequestListener {
	void called_pre(Request request, SQLOperationType operation);

	void beginTask(String taskName, int row);

	void called_done(Request request, SQLOperationType operation,
			ConnectionProperties properties, Object o);

	void subTask(String subTaskName);

	void worked(int i);
}